Subject: [bug#60521] Dot file layout for ‘home-dotfiles-service’

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Sat, 10 Feb 2024 11:47:02 +0100

Ludovic Courtès writes:

Hi,

> paul <[email-masked]> skribis:
>
>> On 2/7/24 23:17, Ludovic Courtès wrote:
>>> Hi!
>>>
>>> Oops, my sincere apologies if I ended up “fixing” something that was in
>>> fact intentional, effectively breaking it.

[..]

>> $ guix shell tree -- tree -a dot-files/
>> dot-files/
>> ├── .dico
>> ├── .gitconfig
>> ├── .gnupg
>> │   ├── dirmngr.conf
>> │   ├── gpa.conf
>> │   ├── gpg.conf
>> │   └── .gpg-v21-migrated
>> ├── .Xdefaults
>> └── .xsession
>>
>> the default would be the current layout but this would allow for more
>> flexibility in layouts in the future.
>
> Thinking about it, either we add a ‘layout’ field (the default should
> probably be the same as it is now, to user’s config will still work the
> same).

+1

Having a layout 'default (or 'plain) vs 'stow makes sense to me.

I can understand how using this stow layout is nice for stow users, but
the extra "package-name" directory that I had to add makes little sense
to me.  I added it because this is what the documentation prescribed,
but I would probably be removing those extra "pacage-name" directories.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com